Commit 3a9492ef authored by Samuel GAIST's avatar Samuel GAIST
Browse files

[test][utils] Add tests for is_Qt_equal_or_higher

parent 2db741c9
......@@ -32,6 +32,9 @@ Test the utils.py file
import os
import pkg_resources
from PyQt5 import QtCore
from .. import utils
......@@ -64,3 +67,15 @@ def test_generate_empty_algorithm():
def test_generate_empty_library():
library = utils.generate_library()
assert compare_with_reference(library, "empty_library.py")
def test_Qt_version_equal():
assert utils.is_Qt_equal_or_higher(QtCore.QT_VERSION_STR)
def test_Qt_version_higher():
assert utils.is_Qt_equal_or_higher("4.8.7")
def test_Qt_version_smaller():
assert not utils.is_Qt_equal_or_higher("12.0.0")
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment